# Class SchemaReaderSchemaReceiver

java.lang.Object
com.thaiopensource.validate.auto.SchemaReaderSchemaReceiver

All Implemented Interfaces:
  `SchemaReceiver`

public class SchemaReaderSchemaReceiver extends Object implements SchemaReceiver

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaReaderSchemaReceiver(SchemaReader schemaLanguage, PropertyMap properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaFuture`
  `installHandlers(XMLReader xr)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchemaReaderSchemaReceiver

    public SchemaReaderSchemaReceiver(SchemaReader schemaLanguage, PropertyMap properties)

- ## Method Details

  - ### installHandlers

    public SchemaFuture installHandlers(XMLReader xr) throws SAXException
    Specified by:
      `installHandlers` in interface `SchemaReceiver`
    Throws:
      `SAXException`